from tornado import web
from config import settings,port,mysql
from router import handler
import peewee_async


db =peewee_async.MySQLDatabase(**mysql)
obj = peewee_async.select(db)

# 重写web.Application方法
class Application(web.Application):
    def __init__(self,*args,**kwargs):
        super(Application,self).__init__(*args,**kwargs)
        self.db = db
        self.obj = obj

def create_app():
    app = Application(handler,**settings)
    app.listen(port)
    return app
